---
title: Product/Market Fit Survey
product: Form Library
description: Discover the fastest way to assess your product's market fit with this free demo. Learn how to configure a product market fit survey and run it in you JavaScript app in minutes using a sample JSON schema of the survey.
framework: Vanilla JS
source: https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vanillajs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Product/Market Fit Survey (Vanilla JS)

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

const survey = new Model(json);
survey.onComplete.add((sender, options) => {
    console.log(JSON.stringify(sender.data, null, 3));
});

survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
 "title": "Product/Market Fit Survey Template",
 "pages": [
  {
   "name": "page1",
   "elements": [
    {
     "type": "radiogroup",
     "name": "customer_role",
     "title": "What best describes your role?",
     "showOtherItem": true,
     "choices": [
      "Engineering Lead",
      "Project Manager",
      "Software Developer",
      "Designer",
      "Product Manager",
      "CEO / Founder",
      "Customer Support"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "start_using",
     "title": "How did you start using the product?",
     "choices": [
      {
       "value": "created",
       "text": "I created my account"
      },
      {
       "value": "invited",
       "text": "I was invited to an account"
      }
     ]
    },
    {
     "type": "radiogroup",
     "name": "product_discovering",
     "title": "How did you first discover the product? ",
     "showOtherItem": true,
     "choices": [
      "Friend or colleague",
      "Search engine",
      "Facebook",
      "Twitter",
      "Blog"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "paid_customer",
     "title": "Do you currently pay for the product? ",
     "isRequired": true,
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page2",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_fit",
     "title": "How would you feel if you could no longer use the product?",
     "isRequired": true,
     "choices": [
      {
       "value": "3",
       "text": "Very disappointed"
      },
      {
       "value": "2",
       "text": "Somewhat disappointed"
      },
      {
       "value": "1",
       "text": "Not disappointed"
      }
     ]
    },
    {
     "type": "comment",
     "name": "product_fit_comment",
     "visibleIf": "{product_fit} notempty",
     "title": "Please help us understand why you selected the answer above"
    }
   ]
  },
  {
   "name": "page3",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_alternative",
     "title": "What would you use as an alternative if [the product] were no\nlonger available?",
     "showOtherItem": true,
     "choices": [
      "Alternative 1",
      "Alternative 2",
      "Alternative 3",
      "Alternative 4",
      "Alternative 5",
      "Alternative 6"
     ],
     "otherText": "Other (please name)",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_benefit",
     "title": "What is the primary benefit that you have received from the\nproduct?",
     "showOtherItem": true,
     "choices": [
      "Benefit 1",
      "Benefit 2",
      "Benefit 3",
      "Benefit 4",
      "Benefit 5",
      "Benefit 6"
     ],
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_recommend",
     "title": "Have you recommended the product to anyone?",
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page4",
   "elements": [
    {
     "type": "rating",
     "name": "nps_score",
     "title": "How likely are you to recommend the product to a friend or\ncolleague? ",
     "isRequired": true,
     "rateMin": 0,
     "rateMax": 10,
     "minRateDescription": "Most unlikely",
     "maxRateDescription": "Most likely"
    },
    {
     "type": "radiogroup",
     "name": "favorite_functionality",
     "title": "What's your favorite functionality / add-on for the product?",
     "showOtherItem": true,
     "choices": [
      "Feature 1",
      "Feature 2",
      "Feature 3",
      "Feature 4",
      "Feature 5",
      "Feature 6"
     ],
     "colCount": 3
    },
    {
     "type": "comment",
     "name": "product_improvement",
     "title": "How could the product be improved to better meet your\nneeds?"
    }
   ]
  },
  {
   "name": "page5",
   "elements": [
    {
     "type": "multipletext",
     "name": "contact_customer",
     "title": "Want us to follow-up? Leave your name and email here:",
     "items": [
      {
       "name": "Name"
      },
      {
       "name": "E-mail",
       "inputType": "email",
       "validators": [
        {
         "type": "email"
        }
       ]
      }
     ]
    }
   ]
  }
 ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/angular.md)
- [React](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/jquery.md)


---
title: Product/Market Fit Survey
product: Form Library
description: Discover the fastest way to assess your product's market fit with this free demo. Learn how to configure a product market fit survey and run it in you JavaScript app in minutes using a sample JSON schema of the survey.
framework: Angular
source: https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/angular
index: https://surveyjs.io/form-library/examples/overview.md
---

# Product/Market Fit Survey (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
 "title": "Product/Market Fit Survey Template",
 "pages": [
  {
   "name": "page1",
   "elements": [
    {
     "type": "radiogroup",
     "name": "customer_role",
     "title": "What best describes your role?",
     "showOtherItem": true,
     "choices": [
      "Engineering Lead",
      "Project Manager",
      "Software Developer",
      "Designer",
      "Product Manager",
      "CEO / Founder",
      "Customer Support"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "start_using",
     "title": "How did you start using the product?",
     "choices": [
      {
       "value": "created",
       "text": "I created my account"
      },
      {
       "value": "invited",
       "text": "I was invited to an account"
      }
     ]
    },
    {
     "type": "radiogroup",
     "name": "product_discovering",
     "title": "How did you first discover the product? ",
     "showOtherItem": true,
     "choices": [
      "Friend or colleague",
      "Search engine",
      "Facebook",
      "Twitter",
      "Blog"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "paid_customer",
     "title": "Do you currently pay for the product? ",
     "isRequired": true,
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page2",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_fit",
     "title": "How would you feel if you could no longer use the product?",
     "isRequired": true,
     "choices": [
      {
       "value": "3",
       "text": "Very disappointed"
      },
      {
       "value": "2",
       "text": "Somewhat disappointed"
      },
      {
       "value": "1",
       "text": "Not disappointed"
      }
     ]
    },
    {
     "type": "comment",
     "name": "product_fit_comment",
     "visibleIf": "{product_fit} notempty",
     "title": "Please help us understand why you selected the answer above"
    }
   ]
  },
  {
   "name": "page3",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_alternative",
     "title": "What would you use as an alternative if [the product] were no\nlonger available?",
     "showOtherItem": true,
     "choices": [
      "Alternative 1",
      "Alternative 2",
      "Alternative 3",
      "Alternative 4",
      "Alternative 5",
      "Alternative 6"
     ],
     "otherText": "Other (please name)",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_benefit",
     "title": "What is the primary benefit that you have received from the\nproduct?",
     "showOtherItem": true,
     "choices": [
      "Benefit 1",
      "Benefit 2",
      "Benefit 3",
      "Benefit 4",
      "Benefit 5",
      "Benefit 6"
     ],
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_recommend",
     "title": "Have you recommended the product to anyone?",
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page4",
   "elements": [
    {
     "type": "rating",
     "name": "nps_score",
     "title": "How likely are you to recommend the product to a friend or\ncolleague? ",
     "isRequired": true,
     "rateMin": 0,
     "rateMax": 10,
     "minRateDescription": "Most unlikely",
     "maxRateDescription": "Most likely"
    },
    {
     "type": "radiogroup",
     "name": "favorite_functionality",
     "title": "What's your favorite functionality / add-on for the product?",
     "showOtherItem": true,
     "choices": [
      "Feature 1",
      "Feature 2",
      "Feature 3",
      "Feature 4",
      "Feature 5",
      "Feature 6"
     ],
     "colCount": 3
    },
    {
     "type": "comment",
     "name": "product_improvement",
     "title": "How could the product be improved to better meet your\nneeds?"
    }
   ]
  },
  {
   "name": "page5",
   "elements": [
    {
     "type": "multipletext",
     "name": "contact_customer",
     "title": "Want us to follow-up? Leave your name and email here:",
     "items": [
      {
       "name": "Name"
      },
      {
       "name": "E-mail",
       "inputType": "email",
       "validators": [
        {
         "type": "email"
        }
       ]
      }
     ]
    }
   ]
  }
 ]
};
```

### `src/app/components/survey.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/survey.component.html`

```html
<survey [model]="model" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; height:100%"></survey>
```

### `src/app/components/survey.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { json } from "./json";
import "./survey.component.css";
import "survey-core/survey-core.min.css";

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./survey.component.html",
    styleUrls: ["./survey.component.css"]
})
export class SurveyComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.onComplete.add((sender, options) => {
            console.log(JSON.stringify(sender.data, null, 3));
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyComponent } from "./components/survey.component";

@NgModule({
    declarations: [AppComponent, SurveyComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add your custom CSS here. */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vanillajs.md)


---
title: Product/Market Fit Survey
product: Form Library
description: Discover the fastest way to assess your product's market fit with this free demo. Learn how to configure a product market fit survey and run it in you JavaScript app in minutes using a sample JSON schema of the survey.
framework: React
source: https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/reactjs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Product/Market Fit Survey (React)

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/SurveyComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function SurveyComponent() {
    const survey = new Model(json);
    survey.onComplete.add((sender, options) => {
        console.log(JSON.stringify(sender.data, null, 3));
    });
    return (<Survey model={survey} />);
}

export default SurveyComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyComponent from "./SurveyComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyComponent />);
```

### `src/json.js`

```js
export const json = {
 "title": "Product/Market Fit Survey Template",
 "pages": [
  {
   "name": "page1",
   "elements": [
    {
     "type": "radiogroup",
     "name": "customer_role",
     "title": "What best describes your role?",
     "showOtherItem": true,
     "choices": [
      "Engineering Lead",
      "Project Manager",
      "Software Developer",
      "Designer",
      "Product Manager",
      "CEO / Founder",
      "Customer Support"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "start_using",
     "title": "How did you start using the product?",
     "choices": [
      {
       "value": "created",
       "text": "I created my account"
      },
      {
       "value": "invited",
       "text": "I was invited to an account"
      }
     ]
    },
    {
     "type": "radiogroup",
     "name": "product_discovering",
     "title": "How did you first discover the product? ",
     "showOtherItem": true,
     "choices": [
      "Friend or colleague",
      "Search engine",
      "Facebook",
      "Twitter",
      "Blog"
     ],
     "otherText": "Other",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "paid_customer",
     "title": "Do you currently pay for the product? ",
     "isRequired": true,
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page2",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_fit",
     "title": "How would you feel if you could no longer use the product?",
     "isRequired": true,
     "choices": [
      {
       "value": "3",
       "text": "Very disappointed"
      },
      {
       "value": "2",
       "text": "Somewhat disappointed"
      },
      {
       "value": "1",
       "text": "Not disappointed"
      }
     ]
    },
    {
     "type": "comment",
     "name": "product_fit_comment",
     "visibleIf": "{product_fit} notempty",
     "title": "Please help us understand why you selected the answer above"
    }
   ]
  },
  {
   "name": "page3",
   "elements": [
    {
     "type": "radiogroup",
     "name": "product_alternative",
     "title": "What would you use as an alternative if [the product] were no\nlonger available?",
     "showOtherItem": true,
     "choices": [
      "Alternative 1",
      "Alternative 2",
      "Alternative 3",
      "Alternative 4",
      "Alternative 5",
      "Alternative 6"
     ],
     "otherText": "Other (please name)",
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_benefit",
     "title": "What is the primary benefit that you have received from the\nproduct?",
     "showOtherItem": true,
     "choices": [
      "Benefit 1",
      "Benefit 2",
      "Benefit 3",
      "Benefit 4",
      "Benefit 5",
      "Benefit 6"
     ],
     "colCount": 3
    },
    {
     "type": "radiogroup",
     "name": "product_recommend",
     "title": "Have you recommended the product to anyone?",
     "choices": [
      "Yes",
      "No"
     ]
    }
   ]
  },
  {
   "name": "page4",
   "elements": [
    {
     "type": "rating",
     "name": "nps_score",
     "title": "How likely are you to recommend the product to a friend or\ncolleague? ",
     "isRequired": true,
     "rateMin": 0,
     "rateMax": 10,
     "minRateDescription": "Most unlikely",
     "maxRateDescription": "Most likely"
    },
    {
     "type": "radiogroup",
     "name": "favorite_functionality",
     "title": "What's your favorite functionality / add-on for the product?",
     "showOtherItem": true,
     "choices": [
      "Feature 1",
      "Feature 2",
      "Feature 3",
      "Feature 4",
      "Feature 5",
      "Feature 6"
     ],
     "colCount": 3
    },
    {
     "type": "comment",
     "name": "product_improvement",
     "title": "How could the product be improved to better meet your\nneeds?"
    }
   ]
  },
  {
   "name": "page5",
   "elements": [
    {
     "type": "multipletext",
     "name": "contact_customer",
     "title": "Want us to follow-up? Leave your name and email here:",
     "items": [
      {
       "name": "Name"
      },
      {
       "name": "E-mail",
       "inputType": "email",
       "validators": [
        {
         "type": "email"
        }
       ]
      }
     ]
    }
   ]
  }
 ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/angular.md)
- [Vue 3](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/how-to-configure-and-embed-product-market-fit-survey/vanillajs.md)
